[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Python-Dev] Workflow blocked on the 3.6 because of AppVeyor; who owns the AppVeyor project?


On Wed, Sep 5, 2018 at 9:30 AM Paul Moore <p.f.moore at gmail.com> wrote:
> I presume you're suggesting keeping 2017 is so that we don't have
> stray 2015-built artifacts in the cache, which makes sense to me, and
> I have a mild preference for keeping the latest compiler, as that's
> likely the one that people will find easier to get. But 2015 is
> presumably the version the official 3.6 builds are made with, so
> there's an argument for keeping that one (although if we do that I
> guess we need to find a *different* way of fixing the cached artifact
> issue).

My fix was actually to keep VS2015 on AppVeyor and leave VS2017 to
VSTS, that way we get pre-commit coverage on both compilers.  There
shouldn't be any caching issues between branches, since PCbuild is
sufficiently different between each branch.  I wish there was a cache
per branch, but there doesn't seem to be.

-- 
Zach